<?php
@session_start();

$mandant_name = $_SESSION[ "mandant_name" ];


if ( $_SESSION[ "w_dok_werkzeug" ] != "a" )
{
	
	header( "Location: us_uebersicht.php" );
	
}
else
{
	$_SESSION[ "w_dok_werkzeug" ] = "";
}

$_SESSION[ "title" ] = "Werkzeug";
include( 'ssi_header.php' );
$_SESSION[ "title" ] = "";

$exec = besitzt_benutzer_systemrecht( $_SESSION[ "mandant_name" ], $_SESSION[ "benutzer_anmeldename" ], "ADMINISTRATOR" );

if ( $exec[ 0 ] != 1 )
{
	header( "Location: us_uebersicht.php" );
}



echo "<div style='margin-left:20px; margin-top:12px; padding-bottom:30px;  min-height:550px;'>";
//echo "<span>Schnellsuche:</span><input type='text' style='width:200px;' value='Schnellsuche ...' name='schnellsuche' id='schnellsuche' onfocus=\"this.value = '';  fuelle_element( 'ergebnis_1', '' ); \" onblur=\"this.value='Schnellsuche ...';\" onkeyup=\"ajaxFunction( 'su_web.php?cmd=suche_benutzer&mandant_name=".urlencode( $mandant_name )."&konfig_option='+encodeURIComponent( this.value ), 'eintraege_liste' );\"    /><br /><br />";

echo '<div id="eintraege_liste" name="eintraege_liste" style=" float:left;  margin-right:15px;" ><select id="select_style_1" size="20" name="users"   onchange="fuelle_element( \'ergebnis_3\', \'\' );ajaxFunction( \'su_web.php?cmd=liefere_werkzeug_wkz0&element_id=\'+this.value, \'ergebnis_1\' ); "  >';
//
// Schleife über die Optionen

echo "<option value='dok_importieren'>Dokumente importieren</option>";
echo "<option value='dok_loeschen'>Dokumente löschen</option>";
echo "<option value='dok_loeschen_2'>Dokumente löschen V2</option>";
echo "<option value='dok_exportieren'>Dokumente exportieren</option>";
echo "<option value='dok_export_2'>Dokumente exportieren V2</option>";
echo "<option value='jobs_anlegen'>Jobs für Dokumente anlegen</option>";
echo "<option value='jobs_durchfuehren'>Jobs durchführen</option>";
echo "<option value='jobs_loeschen'>Jobs löschen</option>";
echo "<option value='titel_aktualisieren'>Dokument-Titel aktualisieren</option>";
echo "<option value='dok_verknuepf_anlegen'>Dokumente verknüpfen</option>";
echo "<option value='dok_verknuepf_loeschen'>Dokumentverknüpfungen löschen</option>";
echo "<option value='dok_attrib_aendern'>Dokumentattribute ändern</option>";
echo "<option value='dat_system'>Dateisystemzugriff</option>";
//<input type="button" value="Anlegen" style="width:150px;margin-left:10px;" onclick="$( '#ergebnis_3' ).load( 'su_web.php?cmd=benutzer_anlegen', function() { $( '.date-pick' ).datepicker( { showAnim: 'clip', buttonImageOnly: true,  showOn: 'both', buttonImage: 'img/kalender.png', showWeek: true } ); } );   " />

?>
</select></div>


<div name="ergebnis_1" id="ergebnis_1" style=" padding-left: 12px; vertical-align:top;  margin-top:10px;" ></div>
	
	


<div name="ergebnis_2" id="ergebnis_2" style=" margin-top:10px;" ></div>

<?php

echo '<div name="ergebnis_3" id="ergebnis_3" style="  float:left; margin-left:15px; padding-left: 12px;  margin-top:10px;" >'.$_SESSION[ "wkz_meld" ].'</div>';
	$_SESSION[ "wkz_meld" ] = "";

echo "</div>";

include( 'ssi_footer.php' );

?>